<?php
// drop all SMF Arcade & E-Arcade related tables
function zhen_dropArcadeTables()
{
	global $smcFunc;
	db_extend('packages');

	$tablesArray = array(
		'arcade_categories',
		'arcade_favorite',
		'arcade_files',
		'arcade_games',
		'arcade_game_info',
		'arcade_guest_data',
		'arcade_lists',
		'arcade_matches',
		'arcade_matches_players',
		'arcade_matches_results',
		'arcade_matches_rounds',
		'arcade_members',
		'arcade_member_data',
		'arcade_mobile_lists',
		'arcade_mobile_skins',
		'arcade_newshouts',
		'arcade_pdl1',
		'arcade_pdl2',
		'arcade_personalbest',
		'arcade_rates',
		'arcade_scores',
		'arcade_settings',
		'arcade_shouts',
		'arcade_skins',
		'arcade_tournament',
		'arcade_tournament_players',
		'arcade_tournament_rounds',
		'arcade_tournament_scores',
		'arcade_v3temp',
	);

	foreach($tablesArray as $table)
	{
		if (check_table_exists_arcade($table))
			$smcFunc['db_drop_table'] ('{db_prefix}' . $table, array('no_prefix'));
	}

}

function check_table_exists_arcade($table)
{
	global $db_prefix, $smcFunc;

	if ($smcFunc['db_list_tables'](false, $db_prefix . $table))
		return true;

	return false;
}

zhen_dropArcadeTables();

?>